Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.edit.provider
Class ModelQueryItemProvider

    java.lang.Object
      ItemProviderAdapter
          org.eclipse.gmt.modisco.infra.query.edit.provider.ModelQueryItemProvider

Direct Known Subclasses:
  JavaModelQueryItemProvider, OCLModelQueryItemProvider

    public class ModelQueryItemProvider

extends ItemProviderAdapter

This is the item provider adapter for a `ModelQuery` object.

Constructor Summary
`ModelQueryItemProvider(AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier.

Method Summary
`java.util.Collection<? extends EStructuralFeature>` | `getChildrenFeatures(java.lang.Object object)` This specifies how to implement `#getChildren` and is used to deduce an appropriate feature for an `org.eclipse.emf.edit.command.AddCommand`, `org.eclipse.emf.edit.command.RemoveCommand` or `org.eclipse.emf.edit.command.MoveCommand` in `#createCommand`.
`java.util.List<IItemPropertyDescriptor>` | `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class.
`ResourceLocator` | `getResourceLocator()` Return the resource locator for this item provider's resources.
`java.lang.String` | `getText(java.lang.Object object)` This returns the label text for the adapted class.
`void` | `notifyChanged(Notification notification)` This handles model notifications by calling `#updateChildren` to update any cached children and by creating a viewer notification, which it passes to `#fireNotifyChanged`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelQueryItemProvider

    public ModelQueryItemProvider(AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

Method Detail

### getPropertyDescriptors

    public java.util.List<IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  This returns the property descriptors for the adapted class.

### getChildrenFeatures

    public java.util.Collection<? extends EStructuralFeature> getChildrenFeatures(java.lang.Object object)

  This specifies how to implement `#getChildren` and is used to deduce an appropriate feature for an `org.eclipse.emf.edit.command.AddCommand`, `org.eclipse.emf.edit.command.RemoveCommand` or `org.eclipse.emf.edit.command.MoveCommand` in `#createCommand`.

### getText

    public java.lang.String getText(java.lang.Object object)

  This returns the label text for the adapted class.

### notifyChanged

    public void notifyChanged(Notification notification)

  This handles model notifications by calling `#updateChildren` to update any cached children and by creating a viewer notification, which it passes to `#fireNotifyChanged`.

### getResourceLocator

    public ResourceLocator getResourceLocator()

  Return the resource locator for this item provider's resources.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD